Subject: RE: 8541E and vector table.

From: "Ami Levi Waves" <[email-masked]>
Date: Tue, 20 Feb 2007 15:39:42 +0100

Download the MPC8541 reference manual from Freescale web site.
Look in the chapter that says Exceptions (could be chapter 6)
You'll fine the different vectors addresses + explanations about each
vector.

Ami

> -----Original Message-----
> From: linuxppc-embedded-bounces+ami=[email-masked] =
[mailto:linuxppc-
> embedded-bounces+ami=[email-masked]] On Behalf Of Steve =
Iribarne
> (GMail)
> Sent: Tuesday, February 20, 2007 3:21 PM
> To: linuxppc-embedded
> Subject: 8541E and vector table.
>=20
> Hi.
>=20
> I must admit, this stuff always baffles me a bit, so I need someone
> who knows this to explain it to me.
>=20
> I am using an 8541E and my system randomly crashes.  By randomly, I
> mean at different times.  I have a BDI hooked up and it always jumps
> to offset 0x0000_0700
>=20
> I believe this to be a vector table offset, but I need to figure out
> which interrupt it is.  I believe this is a hardware issued, because
> if I look at that value, it looks to be default values.  In other
> words, I don't believe I have it setup.
>=20
> So the question I have is how do I figure out what that interrupt =
vector
> is?
>=20
> Thanks so much.
>=20
> -stv
>=20
> --
> /*
>  * Steve Iribarne
>  * Software Engineer
>  * (aka Grunt)
>  */
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded